/**
 *
 * @author bertocco
 */
package it.inaf.oats.vospacebackend;

import org.restlet.Application;
import org.restlet.Restlet;
import org.restlet.routing.Router;


public class VOSpaceBackendApplication extends Application {
    
    @Override	
    public synchronized Restlet createInboundRoot() {

        // Create a router Restlet that defines routes.
        Router router = new Router(getContext());
        // Defines a route for the resource "list of items"
        router.attach("/vospaceBackendSet", VOSpaceBackendResource.class );
        router.attach("/vospaceBackendSet/{fileToManage}", VOSpaceBackendResource.class );
        //router.attach("/vospaceBackendGet", VOSpaceBackendResourceGet.class );
        
        return router;

    }

}
